Should not crash while trying to start the sync menu

Bug #1053775 reported by Natalia Bidart on 2012-09-21
76
This bug affects 12 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Status tracked in Trunk
Stable-4-0
Undecided
Unassigned
Trunk
Critical
Diego Sarmentero
ubuntuone-client (Ubuntu)
High
dobey
Quantal
High
dobey

Bug Description

Using U1 nightlies in my fully updated Precise box, I'm getting:

2012-09-20 23:59:41,813 - ubuntuone.SyncDaemon - ERROR - [Failure instance: Traceback: <type 'exceptions.TypeError'>: object.__new__() takes no parameters
bin/ubuntuone-syncdaemon:272:<module>
bin/ubuntuone-syncdaemon:105:main
/usr/lib/python2.7/dist-packages/twisted/internet/defer.py:1181:unwindGenerator
--- <exception caught here> ---
/usr/lib/python2.7/dist-packages/twisted/internet/defer.py:1039:_inlineCallbacks
bin/ubuntuone-syncdaemon:236:async_main
/home/nessita/canonical/client/trunk/ubuntuone/syncdaemon/main.py:163:__init__
/home/nessita/canonical/client/trunk/ubuntuone/syncdaemon/main.py:167:start_sync_menu
]
None

Syncdaemon gets stuck in the INIT state and never progresses to a useful state. It does not sync any file.

Related branches

description: updated
Changed in ubuntuone-client:
importance: Undecided → Critical
Changed in ubuntuone-client:
assignee: nobody → Diego Sarmentero (diegosarmentero)
tags: added: u1-quantal
Natalia Bidart (nataliabidart) wrote :

nessita@dali:~/canonical/client/trunk$ apt-cache policy ubuntuone-client
ubuntuone-client:
  Installed: 4.1+r1319-69~precise1
  Candidate: 4.1+r1319-69~precise1
  Version table:
 *** 4.1+r1319-69~precise1 0
        500 http://ppa.launchpad.net/ubuntuone/nightlies/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status
     4.1+r1302-64~precise1 0
        500 http://ppa.launchpad.net/ubuntuone/nightlies/ubuntu/ precise/main amd64 Packages

nessita@dali:~/canonical/client/trunk$ u1sdtool -s
State: INIT
    connection: With User With Network
    description: just initialized
    is_connected: False
    is_error: False
    is_online: False
    queues: IDLE

Changed in ubuntuone-client:
status: New → Fix Committed
vasilisc (vasilisc) wrote :

2012-09-22 14:21:57,508 - ubuntuone.SyncDaemon - ERROR - [Failure instance: Traceback: <type 'exceptions.TypeError'>: object.__new__() takes no parameters
/usr/lib/ubuntuone-client/ubuntuone-syncdaemon:272:<module>
/usr/lib/ubuntuone-client/ubuntuone-syncdaemon:105:main
/usr/lib/python2.7/dist-packages/twisted/internet/defer.py:1187:unwindGenerator
--- <exception caught here> ---
/usr/lib/python2.7/dist-packages/twisted/internet/defer.py:1045:_inlineCallbacks
/usr/lib/ubuntuone-client/ubuntuone-syncdaemon:236:async_main
/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/syncdaemon/main.py:163:__init__
/usr/lib/python2.7/dist-packages/ubuntuone-client/ubuntuone/syncdaemon/main.py:167:start_sync_menu
]
None
2012-09-22 14:21:57,508 - ubuntuone.SyncDaemon - INFO - not starting twisted.manhole
-------
apt-cache policy ubuntuone-client
ubuntuone-client:
  Installed: 3.99.92-0ubuntu2
  Candidate: 3.99.92-0ubuntu2
  Version table:
 *** 3.99.92-0ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ quantal/main i386 Packages
        100 /var/lib/dpkg/status

------
lsb_release -a
LSB Version: core-2.0-ia32:core-2.0-noarch:core-3.0-ia32:core-3.0-noarch:core-3.1-ia32:core-3.1-noarch:core-3.2-ia32:core-3.2-noarch:core-4.0-ia32:core-4.0-noarch
Distributor ID: Ubuntu
Description: Ubuntu quantal (development branch)
Release: 12.10
Codename: quantal

dobey (dobey) on 2012-09-24
Changed in ubuntuone-client (Ubuntu Quantal):
status: New → Triaged
milestone: none → ubuntu-12.10
dobey (dobey) on 2012-09-24
Changed in ubuntuone-client (Ubuntu Quantal):
importance: Undecided → High
assignee: nobody → Rodney Dawes (dobey)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 4.0.0-0ubuntu1

---------------
ubuntuone-client (4.0.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Clicking U1 icon in messaging menu doesn't work. (LP: #1059571)
    - Opening Ubuntu One from sync indicator menu doesn't work. (LP: #1058334)
    - Excessive CPU usage with sync menu integration. (LP: #1052922)
    - Re-order transfers in sync menu to be more useful. (LP: #1052956)
    - Don't fail when sync menu is not available. (LP: #1053775)
    - Fix missing icon in dash and alt+tab. (LP: #1053519)
  * debian/patches:
    - Remove patches included in new upstream release.
 -- Rodney Dawes <email address hidden> Wed, 03 Oct 2012 11:07:27 -0400

Changed in ubuntuone-client (Ubuntu Quantal):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers